Make sure HAVE_LIBSSL is defined, even when using pkg-config
authorAlexander Barton <alex@barton.de>
Mon, 1 Jul 2019 19:56:36 +0000 (21:56 +0200)
committerAlexander Barton <alex@barton.de>
Mon, 1 Jul 2019 20:03:47 +0000 (22:03 +0200)
commitb1893e740e745cc5081ef59719bb10bc5f729fdb
tree1a20280c8c5e0f4b3724b659e2c2d33033139af7
parent2c495a1fe7c25494248204b725afaffc8c71411a
Make sure HAVE_LIBSSL is defined, even when using pkg-config

Without this, the configure script assumes and states that OpenSSL will
be used, but the code won't include support for it because there we use
the "HAVE_LIBSSL" define to test for it ("#ifdef HAVE_LIBSSL").

So define the latter when pkg-config(1) is used, too.

This fixes #257, a regression introduced by commit ad86a41ee :-/
configure.ng